Minecraft 1.2.5

Discussion in 'Community Discussion' started by Bob_9251, Apr 6, 2012.

Thread Status:
Not open for further replies.
  1. Hi,
    I was just wondering is there was a planned time that EMC was giong to update to 1.2.5
    I accidentaly updated.
    yeah:(... If there is another thead that already talks about this please let me know.

  2. Im pretty sure 1.2.5 works in the empire since i updated and it works.
    Squizzel_Boy likes this.
  3. Never mind. Sorry i just logged on and found that EMC has already been updated.
    Staff feel free to close this thread.:D
  4. Thx
  5. Yes it does i am using 1.2.5 while i play empire craft so yes.it does work.
  6. This update only truly effected ModLoader negatively. Everything functions quite well with 1.2.5 on 1.2.4 servers and 1.2.4 on 1.2.5 servers. :)
    Also, we are running 1.2.5, it wasn't announced as it wasn't a client lockout update. ;)
  7. Mojang did this so 1.2.5 clients can go on 1.2.4 servers I am 90% sure this was on purpose :)
  8. EMC is running 1.2.5 and it was not a client blocking update so we did not need to do a Do Not Update reminder.
    Update your client and get back to enjoying the game. :)
Thread Status:
Not open for further replies.